Subject: [stir] drafts for london

From: "Peterson, Jon" <[email-masked]>
Date: Tue, 6 Mar 2018 16:59:01 +0000

Well, I can tell STIR is going to be interesting this time.

A few bits of old business, there are new versions of the divert and oob drafts:

https://www.ietf.org/id/draft-ietf-stir-passport-divert-02.txt
https://www.ietf.org/id/draft-ietf-stir-oob-02.txt

These reflect the changes we last discussed, including stronger guidance on nesting for divert, and some further integration with History-Info. That one continues to have a lot of external attention, and it would be nice to wrap it up. Let's talk about whether or not large nested Identity headers will trip up implementations too badly.

For stir-oob, there is now some more generic authentication/verification service behavior for non-SIP STIR applications, and even an initial mock-up of a REST interface for storing PASSporTS at a CPS.

I also wanted to point to the continuing STIR work in ACME, which we are in the middle of reorganizing, but which will eventually lead us to a short-lived certs document here. I bumped that draft slightly to keep it on the radar.

https://www.ietf.org/id/draft-peterson-stir-certificates-shortlived-02.txt

Finally, Chris and I have become increasingly preoccupied with the reuse of STIR for identifying the called party as well as the calling party. We have some initial thoughts about what the problem statement for that would be in this new draft:

https://www.ietf.org/id/draft-peterson-stir-rfc4916-update-00.txt

See you all in London!

Jon Peterson
NeuStar, Inc.